<html lang="en">
<head>
<title>Point and vector literals - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Literals.html#Literals" title="Literals">
<link rel="prev" href="Scalar-literals.html#Scalar-literals" title="Scalar literals">
<link rel="next" href="Transform-literals.html#Transform-literals" title="Transform literals">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Point-and-vector-literals"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Transform-literals.html#Transform-literals">Transform literals</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Scalar-literals.html#Scalar-literals">Scalar literals</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Literals.html#Literals">Literals</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.1.3.2 Point and vector literals</h5>

<p><a name="index-point-literal-175"></a><a name="index-literal_002c-point-176"></a><a name="index-vector-literal-177"></a><a name="index-literal_002c-vector-178"></a>Points and vector literals have these forms respectively.
<pre class="example">     (<i>X</i>,<i>Y</i>,<i>Z</i>)  [<i>X</i>,<i>Y</i>,<i>Z</i>]
</pre>
   <p class="noindent">Each of the components is itself a scalar expression.  The
z-components are optional and default to zero.

   </body></html>

